version: "3"

networks:
  db:
  proxy:
    external:
      name: proxy

volumes:
  synapse_data:
  synapse_db_data:

services:

  postgres:
    image: postgres:14-alpine
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    env_file: postgres.env
    volumes:
      - ./initdb.d:/docker-entrypoint-initdb.d:ro
      - synapse_db_data:/var/lib/postgresql/data
    networks:
      - db

  synapse:
    image: {{matrix_synapse__image}}:{{matrix_synapse__image_version}}
    entrypoint: sh -c "python3 start.py generate -m synapse.app.homeserver --config-path={{matrix_synapse_homeserver_config_file}} && python3 start.py"
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    env_file: synapse.env
    volumes:
      - synapse_data:/data/:rw
      - "./homeserver.yaml:{{matrix_synapse_homeserver_config_file}}:ro"
    networks:
      - db
      - proxy
    depends_on:
      - postgres

  discovery:
    image: nginx:1
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    volumes:
      - ./service-discovery-nginx.conf:/etc/nginx/conf.d/default.conf:ro
    networks:
      - proxy
